# List visitor posts on a Facebook Page

Returns visitor posts on a Facebook Page, one page at a time. Works with Facebook accounts.

```http
GET https://api.pozy.ai/v1/accounts/{accountId}/facebook-visitor-posts
```

- Area: Analytics / Analytics
- Auth: Authorization: Bearer pz_live_...

## Path parameters

- `accountId` (string, required)

## Query parameters

- `limit` (integer)
- `cursor` (string)

## Example request

```bash
curl -X GET "https://api.pozy.ai/v1/accounts/696e0b682d0a31188e7a2ba9/facebook-visitor-posts?limit=25" \
  -H "Authorization: Bearer $POZY_API_KEY"
```

```ts
const res = await fetch("https://api.pozy.ai/v1/accounts/696e0b682d0a31188e7a2ba9/facebook-visitor-posts?limit=25", {
  headers: { Authorization: `Bearer ${process.env.POZY_API_KEY}` },
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);
```

```python
import os
import requests

resp = requests.get(
    "https://api.pozy.ai/v1/accounts/696e0b682d0a31188e7a2ba9/facebook-visitor-posts",
    headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
    params={
        "limit": 25,
    },
    timeout=30,
)
resp.raise_for_status()
print(resp.json())
```

## Response 200

- `data`, array of object, required
  - `id`, string, required
  - `message`, string, required: Can be null
  - `createdTime`, string, required: Can be null
  - `from`, object, required: Can be null
    - `id`, string, required
    - `name`, string, required: Can be null
  - `permalinkUrl`, string, required: Can be null
  - `media`, object, required: Can be null
    - `mediaType`, string, required: One of `image`, `video`, `carousel`, `text`
    - `thumbnailUrl`, string, required
    - `mediaItems`, array of object, required
      - `type`, string, required: One of `image`, `video`
      - `url`, string, required
      - `thumbnail`, string
- `nextCursor`, string, required: Can be null

```json
{
  "data": [
    {
      "id": "6bfebd43ddc270f6d2c56fc5",
      "message": "Hello from Pozy",
      "createdTime": "string",
      "from": {
        "id": "6bfebd43ddc270f6d2c56fc5",
        "name": "Acme"
      },
      "permalinkUrl": "https://pozy.ai/media/example-1.jpg",
      "media": {
        "mediaType": "image",
        "thumbnailUrl": "https://pozy.ai/media/example-1.jpg",
        "mediaItems": [
          {
            "type": "image",
            "url": "https://pozy.ai/media/example-1.jpg",
            "thumbnail": "string"
          }
        ]
      }
    }
  ],
  "nextCursor": "string"
}
```
